package com.clx.performance.vo.pc;

import com.msl.common.convertor.type.MoneyOutConvert;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 货主充值
 *
 * @date : 2023-10-12
 */

@Getter
@Setter
@NoArgsConstructor
public class OwnerTopUpVO {
    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private Integer id;
    /**
     * 充值编号
     */
    @ApiModelProperty(value = "充值编号")
    private Long topUpNo;
    /**
     * 货主编码
     */
    @ApiModelProperty(value = "货主编码")
    private Long ownerUserNo;
    /**
     * 充值类型
     */
    @ApiModelProperty(value = "充值类型  1:保证金 2：预付运费")
    private Integer accountType;
    /**
     * 充值金额
     */
    @ApiModelProperty(value = "充值金额")
    @MoneyOutConvert
    private BigDecimal topUpBalance;
    /**
     * 状态
     */
    @ApiModelProperty(value = "状态 10：待审批 20：审批拒绝 30：审批通过")
    private Integer status;
    /**
     * 打款银行
     */
    @ApiModelProperty(value = "打款银行")
    private String drawingBank;
    /**
     * 打款银行卡号
     */
    @ApiModelProperty(value = "打款银行卡号")
    private String drawingBankNumber;
    /**
     * 打款凭证
     */
    @ApiModelProperty(value = "打款凭证")
    private String drawingProof;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;
    /**
     * 操作人
     */
    @ApiModelProperty(value = "操作人")
    private String createBy;
    /**
     * 审批时间
     */
    @ApiModelProperty(value = "审批时间")
    private LocalDateTime approvalTime;
    /**
     * 审批人
     */
    @ApiModelProperty(value = "审批人")
    private String approvalBy;
    /**
     * 审批拒绝
     */
    @ApiModelProperty(value = "审批拒绝")
    private String approvalTurnDown;

}